Skip to main content
GET
Get Subscriptions By Donor

Authorizations

x-client-id
string
header
required

Client ID for API authentication

x-api-key
string
header
required

API Key for API authentication

Path Parameters

donorId
object
required

Query Parameters

limit
number
default:25

The number of subscriptions to return.

Required range: 1 <= x <= 100
maximumUpdatedDate
string<date-time>

The maximum updated date of the subscriptions to return.

Example:

"2025-02-01"

minimumUpdatedDate
string<date-time>

The minimum updated date of the subscriptions to return.

Example:

"2025-01-01"

page
number
default:1

The page number of the subscriptions to return.

Required range: x >= 1
status
enum<string>[]

The status of the subscriptions to return.

Available options:
active,
failed,
inactive,
paused,
pending,
recreated
Example:
locationIds
string[]

Filter subscriptions by location Ids.

Example:
sortBy
enum<string>
default:createdAt

The field to sort the subscriptions by.

Available options:
amount,
createdAt,
frequency,
nextContributionAt
Example:

"createdAt"

sortDirection
enum<string>
default:DESC

The direction to sort the subscriptions by.

Available options:
ASC,
DESC
Example:

"DESC"

Response

data
object[]
required

List of subscriptions.

totalCount
number
required

Total number of subscriptions matching the filters.

Example:

100

Last modified on July 14, 2026